From ef73af8420b849b6dc74fb33b04e8303622d4a31 Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Sun, 8 Apr 2012 00:17:14 -0500
Subject: rtmpdump: update to 2.4

---
 abs/extra/rtmpdump/PKGBUILD | 39 ++++++++++++++++-----------------------
 1 file changed, 16 insertions(+), 23 deletions(-)

diff --git a/abs/extra/rtmpdump/PKGBUILD b/abs/extra/rtmpdump/PKGBUILD
index ee3c007..03263a4 100644
--- a/abs/extra/rtmpdump/PKGBUILD
+++ b/abs/extra/rtmpdump/PKGBUILD
@@ -1,34 +1,27 @@
-# Maintainer: xduugu
+# $Id$
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: xduugu
 # Contributor: Elis Hughes <elishughes@googlemail.com>
+
 pkgname=rtmpdump
-pkgver=2.3
-pkgrel=2
-pkgdesc="A tool to download rtmp:// and rtmpe:// streams"
+pkgver=2.4
+pkgrel=1
+pkgdesc="A tool to download rtmp streams"
 arch=('i686' 'x86_64')
 url="http://rtmpdump.mplayerhq.hu/"
-license=('LGPL')
+license=('GPL2' 'LGPL2.1')
 depends=('openssl')
-source=(
-        http://mirrors.kernel.org/gentoo/distfiles/$pkgname-$pkgver.tgz
-        # Upstream is not accessible from Vodafone/Germany
-        #http://rtmpdump.mplayerhq.hu/download/$pkgname-$pkgver.tgz
-)
-md5sums=('eb961f31cd55f0acf5aad1a7b900ef59')
-sha256sums=('ef38b7a99d82ce6912063d21063aeaf28185341b3df486e24bffce5354224b2c')
-
-#if [[ ! -e "$SRCDEST/${source[0]##*/}" ]]; then
-	#cd "$SRCDEST"
-	#download_file "$(get_downloadclient "$(get_url "${source[0]}")")" "$(get_url "${source[0]}")" "$(get_filename "${source[0]}")" \
-	#|| download_file "$(get_downloadclient "$(get_url "${source[1]}")")" "$(get_url "${source[1]}")" "$(get_filename "${source[1]}")"
-	#cd "$OLDPWD"
-#fi
+#source=(http://rtmpdump.mplayerhq.hu/download/${pkgname}-${pkgver}.tgz)
+source=(ftp://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.xz)
+sha256sums=('2c3b76d46d56180176ef099b8ad50a1608bef1dac35d8cb0b21ceac31b5c0656')
 
 build() {
-  cd "$srcdir/$pkgname-$pkgver"
-  sed -i 's/^install_so.0:.*/& install_base/' librtmp/Makefile
+  cd "${srcdir}/${pkgname}-${pkgver}"  
+  make
 }
 
 package() {
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr MANDIR="$pkgdir/usr/share/man" DESTDIR="$pkgdir" install
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  install -d -m755 "${pkgdir}/usr/lib"
+  make prefix=/usr mandir=/usr/share/man DESTDIR="${pkgdir}" install
 }
-- 
cgit v0.12


From f32a0b1f9c4ebcae37cab8d8ffc5b90b55a63a73 Mon Sep 17 00:00:00 2001
From: Cecil <knoppmyth@gmail.com>
Date: Sun, 8 Apr 2012 21:45:11 -0700
Subject: crystalhd-git:Bumped version to 20111227.

---
 abs/extra/crystalhd-git/PKGBUILD | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

diff --git a/abs/extra/crystalhd-git/PKGBUILD b/abs/extra/crystalhd-git/PKGBUILD
index 538c0ae..a7b3e7f 100644
--- a/abs/extra/crystalhd-git/PKGBUILD
+++ b/abs/extra/crystalhd-git/PKGBUILD
@@ -2,24 +2,24 @@
 # Maintainer: Petteri Tolonen <petteri.tolonen[at]gmail.com>
 
 pkgname=crystalhd-git
-pkgver=`date +%Y%m%d`
+pkgver=20111227
 pkgrel=1
-pkgdesc="Broadcom Crystal HD kernel module from git.wilsonet.com"
+pkgdesc="Broadcom CrystalHD kernel module"
 arch=('i686' 'x86_64')
-url="http://git.wilsonet.com/crystalhd.git/"
+url="http://linuxtv.org/git/jarod/crystalhd.git"
 license=('GPL2')
-depends=()
-makedepends=('autoconf' 'kernel26-headers>=2.6.32.9' 'make' 'git')
-conflicts=('crystalhd')
+depends=('libcrystalhd-git')
+makedepends=('autoconf' 'make' 'git')
 install='crystalhd-git.install'
-_gitroot='git://git.wilsonet.com/crystalhd.git'
+conflicts=('crystalhd')
+_gitroot='git://linuxtv.org/jarod/crystalhd.git'
 _gitname='crystalhd'
 
 build() {
 
     cd $startdir/src
 
-    msg "Connecting to git.wilsonet.com GIT server...."
+    msg "Connecting to the GIT server...."
 
     if [ -d $startdir/src/$_gitname ] ; then
         cd $_gitname && git pull origin
@@ -33,12 +33,20 @@ build() {
 
     autoconf
     ./configure --prefix=/usr
-    make KDIR=/lib/modules/2.6.34-LinHES/build || return 1
+    sed -i 's/'-Werror'/''/g' Makefile 
+
+    if ! grep -q "<linux/delay.h>" $srcdir/crystalhd/driver/linux/crystalhd_flea_ddr.c
+    then
+    sed -i '26i #include <linux/delay.h>' $srcdir/crystalhd/driver/linux/crystalhd_flea_ddr.c
+    fi
+
+    make || return 1
+    
     mkdir -p $pkgdir/etc/udev/rules.d
     mkdir -p $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
 
     cp -f 20-crystalhd.rules $pkgdir/etc/udev/rules.d/
     install -d $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
     install -m 0644 crystalhd.ko $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
-
 }
+md5sums=()
-- 
cgit v0.12


From 14ebe3bed5bf6ed74f10d6b872f9f04ca61cf82d Mon Sep 17 00:00:00 2001
From: Cecil <knoppmyth@gmail.com>
Date: Sun, 8 Apr 2012 21:46:05 -0700
Subject: libcrystalhd-git:Bumped version to 20120408.

---
 abs/extra/libcrystalhd-git/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/extra/libcrystalhd-git/PKGBUILD b/abs/extra/libcrystalhd-git/PKGBUILD
index 94c7be8..c0bf7d1 100644
--- a/abs/extra/libcrystalhd-git/PKGBUILD
+++ b/abs/extra/libcrystalhd-git/PKGBUILD
@@ -10,7 +10,7 @@ depends=('gcc-libs')
 makedepends=('git' 'make')
 conflicts=('libcrystalhd')
 
-_gitroot='git://git.wilsonet.com/crystalhd.git'
+_gitroot='git://linuxtv.org/jarod/crystalhd.git'
 _gitname='crystalhd'
 
 build() {
-- 
cgit v0.12


From 2de3f3299650b470102086bf8344959599df8cf7 Mon Sep 17 00:00:00 2001
From: Cecil <knoppmyth@gmail.com>
Date: Sun, 8 Apr 2012 21:47:12 -0700
Subject: xmbc:Initial inclusion of Eden to LinHES. Added patch so RTMP support
 compiles w/o issue. Disabled Crystal HD support.

---
 abs/extra/xbmc/PKGBUILD     | 11 +++++++----
 abs/extra/xbmc/xbmc11.patch | 15 +++++++++++++++
 2 files changed, 22 insertions(+), 4 deletions(-)
 create mode 100644 abs/extra/xbmc/xbmc11.patch

diff --git a/abs/extra/xbmc/PKGBUILD b/abs/extra/xbmc/PKGBUILD
index 8206a42..def2927 100644
--- a/abs/extra/xbmc/PKGBUILD
+++ b/abs/extra/xbmc/PKGBUILD
@@ -9,7 +9,7 @@ _prefix=/usr
 
 pkgname=xbmc
 pkgver=11.0
-pkgrel=2
+pkgrel=3
 pkgdesc="A software media player and entertainment hub for digital media"
 arch=('i686' 'x86_64')
 url="http://xbmc.org"
@@ -26,11 +26,11 @@ optdepends=(
   'unrar: access compressed files without unpacking them'
 )
 install="${pkgname}.install"
-source=("http://mirrors.xbmc.org/releases/source/xbmc-$pkgver.tar.gz")
-sha256sums=('1fe5d310c16138f26e2b13bc545604e95f48ace6c8636f23e77da402cd7b0b19')
+source=("http://mirrors.xbmc.org/releases/source/xbmc-$pkgver.tar.gz" xbmc11.patch)
 
 build() {
   cd "${srcdir}/xbmc-$pkgver"
+  patch -p1 < ../xbmc11.patch
 
   # fix lsb_release dependency
   sed -i -e 's:/usr/bin/lsb_release -d:cat /etc/arch-release:' xbmc/utils/SystemInfo.cpp
@@ -71,7 +71,8 @@ build() {
     --enable-libusb \
     --enable-libcec \
     --enable-external-libraries \
-    --disable-external-ffmpeg
+    --disable-external-ffmpeg \
+    --disable-crystalhd
   # Now (finally) build
   make
 }
@@ -99,3 +100,5 @@ package() {
   done
 }
 # vim:set ts=2 sw=2 et:
+md5sums=('9e8a26ee25173c7268abea7f1d82d428'
+         '5aa2e21a1f9fea60a2e5bb345e5aefd0')
diff --git a/abs/extra/xbmc/xbmc11.patch b/abs/extra/xbmc/xbmc11.patch
new file mode 100644
index 0000000..fb144d1
--- /dev/null
+++ b/abs/extra/xbmc/xbmc11.patch
@@ -0,0 +1,15 @@
+diff -ruaN xbmc-11.0.orig//xbmc/cores/dvdplayer/DVDInputStreams/DVDInputStreamRTMP.cpp xbmc-11.0/xbmc/cores/dvdplayer/DVDInputStreams/DVDInputStreamRTMP.cpp
+--- xbmc-11.0.orig//xbmc/cores/dvdplayer/DVDInputStreams/DVDInputStreamRTMP.cpp	2012-03-21 22:07:50.000000000 +0000
++++ xbmc-11.0/xbmc/cores/dvdplayer/DVDInputStreams/DVDInputStreamRTMP.cpp	2012-04-08 21:04:19.000000000 +0000
+@@ -22,9 +22,9 @@
+ #if (defined HAVE_CONFIG_H) && (!defined WIN32)
+   #include "config.h"
+ #endif
+-#ifdef _WIN32
++//#ifdef _WIN32
+ #include "system.h" // just for HAS_LIBRTMP
+-#endif
++//#endif
+ 
+ #ifdef HAS_LIBRTMP
+ #include "settings/AdvancedSettings.h"
-- 
cgit v0.12


From d0525a9f1df778729f96591e72e0363d26ff47ef Mon Sep 17 00:00:00 2001
From: Cecil <knoppmyth@gmail.com>
Date: Tue, 10 Apr 2012 00:34:10 -0700
Subject: linhes-scripts:Bumped to 7-31. Modified stop_xss.sh to account for
 XBMC.

---
 abs/core/linhes-scripts/PKGBUILD    | 4 ++--
 abs/core/linhes-scripts/stop_xss.sh | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/abs/core/linhes-scripts/PKGBUILD b/abs/core/linhes-scripts/PKGBUILD
index bce9e07..0be8d93 100644
--- a/abs/core/linhes-scripts/PKGBUILD
+++ b/abs/core/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
 
 pkgname=linhes-scripts
 pkgver=7
-pkgrel=30
+pkgrel=31
 pkgdesc="Various scripts that help to make LinHES, LinHES."
 arch=('i686' 'x86_64')
 license=('GPL2')
@@ -101,4 +101,4 @@ md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
          '4b8671376fad6d76874508434d42fbfd'
          'd8838461af9d446a1fd7e7883fdc75d1'
          'cc9cdabcdfc969c2829b58c0e513488c'
-         'cb16a30491c4352eb0eee11c2bca91f9')
+         'acb72dfeda6f957bfdf4113a04fb91c0')
diff --git a/abs/core/linhes-scripts/stop_xss.sh b/abs/core/linhes-scripts/stop_xss.sh
index c600795..9d3772e 100644
--- a/abs/core/linhes-scripts/stop_xss.sh
+++ b/abs/core/linhes-scripts/stop_xss.sh
@@ -3,7 +3,7 @@
 while [ 1=1 ];
 do
 
-    if [ "$(pidof chromium)" -o "$(pidof huludesktop)" ]
+    if [ "$(pidof chromium)" -o "$(pidof huludesktop)" -o "$(pidof xbmc.bin)"]
     then
     xscreensaver-command -deactivate
     fi
-- 
cgit v0.12


From bc096e5878149993d838bb57b957a6e0734563a7 Mon Sep 17 00:00:00 2001
From: Cecil <knoppmyth@gmail.com>
Date: Tue, 10 Apr 2012 00:35:36 -0700
Subject: xbmc:Bumped to 11.0-4. Added xbmc.sh which stops XScreensaver.
 Modified menu entry to call xbmc.sh.

---
 abs/extra/xbmc/PKGBUILD     | 12 ++++++++----
 abs/extra/xbmc/xbmc.install |  4 ++--
 abs/extra/xbmc/xbmc.sh      |  7 +++++++
 3 files changed, 17 insertions(+), 6 deletions(-)
 create mode 100644 abs/extra/xbmc/xbmc.sh

diff --git a/abs/extra/xbmc/PKGBUILD b/abs/extra/xbmc/PKGBUILD
index def2927..49166cc 100644
--- a/abs/extra/xbmc/PKGBUILD
+++ b/abs/extra/xbmc/PKGBUILD
@@ -9,12 +9,12 @@ _prefix=/usr
 
 pkgname=xbmc
 pkgver=11.0
-pkgrel=3
+pkgrel=4
 pkgdesc="A software media player and entertainment hub for digital media"
 arch=('i686' 'x86_64')
 url="http://xbmc.org"
 license=('GPL' 'custom')
-depends=('hicolor-icon-theme' 'fribidi' 'lzo2' 'smbclient' 'libtiff' 'libva' 'libpng' 'libcdio' 'yajl' 'libmysqlclient' 'libjpeg' 'libsamplerate' 'glew' 'libssh' 'libmicrohttpd' 'libxrandr' 'sdl_mixer' 'sdl_image' 'python2' 'libass' 'libmpeg2' 'libmad' 'libmodplug' 'jasper' 'rtmpdump' 'unzip' 'mesa-demos' 'xorg-xdpyinfo' 'libbluray' 'libnfs' 'afpfs-ng' 'libshairport' 'avahi' 'bluez')
+depends=('hicolor-icon-theme' 'fribidi' 'lzo2' 'smbclient' 'libtiff' 'libva' 'libpng' 'libcdio' 'yajl' 'libmysqlclient' 'libjpeg' 'libsamplerate' 'glew' 'libssh' 'libmicrohttpd' 'libxrandr' 'sdl_mixer' 'sdl_image' 'python2' 'libass' 'libmpeg2' 'libmad' 'libmodplug' 'jasper' 'rtmpdump' 'unzip' 'mesa-demos' 'xorg-xdpyinfo' 'libbluray' 'libnfs' 'afpfs-ng' 'libshairport' 'avahi' 'bluez' 'linhes-scripts>=7-31')
 makedepends=('boost' 'cmake' 'gperf' 'nasm' 'libxinerama' 'zip' 'vdpau-video' 'libcec' 'udisks' 'upower' 'bluez')
 optdepends=(
   'libcec: support for Pulse-Eight USB-CEC adapter'
@@ -26,7 +26,7 @@ optdepends=(
   'unrar: access compressed files without unpacking them'
 )
 install="${pkgname}.install"
-source=("http://mirrors.xbmc.org/releases/source/xbmc-$pkgver.tar.gz" xbmc11.patch)
+source=("http://mirrors.xbmc.org/releases/source/xbmc-$pkgver.tar.gz" 'xbmc11.patch' 'xbmc.sh')
 
 build() {
   cd "${srcdir}/xbmc-$pkgver"
@@ -98,7 +98,11 @@ package() {
   for licensef in LICENSE.GPL copying.txt; do
     mv "${pkgdir}${_prefix}/share/doc/xbmc/${licensef}" "${pkgdir}${_prefix}/share/licenses/${pkgname}"
   done
+
+  mkdir -p ${pkgdir}/usr/LH/bin
+  install -D -m 0755 ${srcdir}/xbmc.sh ${pkgdir}/usr/LH/bin
 }
 # vim:set ts=2 sw=2 et:
 md5sums=('9e8a26ee25173c7268abea7f1d82d428'
-         '5aa2e21a1f9fea60a2e5bb345e5aefd0')
+         '5aa2e21a1f9fea60a2e5bb345e5aefd0'
+         'f30d9a68daedd28482813ee40134f243')
diff --git a/abs/extra/xbmc/xbmc.install b/abs/extra/xbmc/xbmc.install
index 7823fb7..2964449 100644
--- a/abs/extra/xbmc/xbmc.install
+++ b/abs/extra/xbmc/xbmc.install
@@ -5,7 +5,7 @@ post_install() {
   echo "   <button>" >> /tmp/library.xml.tmp
   echo "     <type>MENU_XBMC</type>" >> /tmp/library.xml.tmp
   echo "     <text>Launch XBMC</text>" >> /tmp/library.xml.tmp
-  echo "     <action>EXEC /usr/bin/xbmc --lircdev /var/run/lirc/lircd</action>" >> /tmp/library.xml.tmp 
+  echo "     <action>EXEC /usrLH//bin/xbmc.sh</action>" >> /tmp/library.xml.tmp 
   echo "   </button>" >> /tmp/library.xml.tmp
   echo "<!--#XBMC-->" >> /tmp/library.xml.tmp
   echo "" >> /tmp/library.xml.tmp
@@ -38,7 +38,7 @@ post_upgrade() {
   echo "   <button>" >> /tmp/library.xml.tmp
   echo "     <type>MENU_XBMC</type>" >> /tmp/library.xml.tmp
   echo "     <text>Launch XBMC</text>" >> /tmp/library.xml.tmp
-  echo "     <action>EXEC /usr/bin/xbmc --lircdev /var/run/lirc/lircd</action>" >> /tmp/library.xml.tmp 
+  echo "     <action>EXEC /usr/LH/bin/xbmc.sh</action>" >> /tmp/library.xml.tmp 
   echo "   </button>" >> /tmp/library.xml.tmp
   echo "<!--#XBMC-->" >> /tmp/library.xml.tmp
   echo "" >> /tmp/library.xml.tmp
diff --git a/abs/extra/xbmc/xbmc.sh b/abs/extra/xbmc/xbmc.sh
new file mode 100644
index 0000000..a27f0f1
--- /dev/null
+++ b/abs/extra/xbmc/xbmc.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+#Stop XScreensaver
+stop_xss.sh &
+#Launch XBMC
+/usr/bin/xbmc --lircdev /var/run/lirc/lircd
+#Once XBMC exits, kill stop xss
+killall stop_xss.sh
-- 
cgit v0.12


From 8cac1d536373ce714e4c90542c3756b09be7d455 Mon Sep 17 00:00:00 2001
From: Cecil <knoppmyth@gmail.com>
Date: Tue, 10 Apr 2012 15:14:51 -0700
Subject: huludesktop:Bumped to 0.2-4. Fixed path for lircd.

---
 abs/extra/huludesktop/PKGBUILD    | 4 ++--
 abs/extra/huludesktop/huludesktop | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/abs/extra/huludesktop/PKGBUILD b/abs/extra/huludesktop/PKGBUILD
index 58cd1ca..c9ced62 100644
--- a/abs/extra/huludesktop/PKGBUILD
+++ b/abs/extra/huludesktop/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=huludesktop
 pkgver=0.2
-pkgrel=3
+pkgrel=4
 pkgdesc="Hulu Desktop for Linux"
 arch=(i686)
 url="http://www.hulu.com/labs/hulu-desktop-linux"
@@ -21,5 +21,5 @@ build() {
     install -D -m755 huludesktop.sh ${pkgdir}/usr/LH/bin
 }
 md5sums=('d9b27d1837ab86526100964e80c3cdd1'
-         'fc6048cc2a6ee3b90808e0b757f0fc9b'
+         '935d923b90abaa4b1838a5e6b23e704e'
          '8f7dbf19d6168bc3a5b0c1da1c878693')
diff --git a/abs/extra/huludesktop/huludesktop b/abs/extra/huludesktop/huludesktop
index c3ae870..c3fc9a5 100644
--- a/abs/extra/huludesktop/huludesktop
+++ b/abs/extra/huludesktop/huludesktop
@@ -6,7 +6,7 @@ pos_x = 201
 pos_y = 179
 
 [remote]
-lirc_device = /dev/lircd
+lirc_device = /var/run/lirc/lircd
 lirc_remote_identifier = mceusb
 lirc_release_suffix = _UP
 lirc_repeat_threshold = 10
-- 
cgit v0.12


From eb9ce9a0ac072df0931dc9cec6f96a7f01d06a6f Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Thu, 12 Apr 2012 17:13:23 -0500
Subject: linhes-scripts: add diskspace.sh and cron job to warn user about low
 disk space on /.

---
 abs/core/linhes-scripts/PKGBUILD     | 10 ++++-
 abs/core/linhes-scripts/diskspace    |  2 +
 abs/core/linhes-scripts/diskspace.sh | 81 ++++++++++++++++++++++++++++++++++++
 3 files changed, 91 insertions(+), 2 deletions(-)
 create mode 100755 abs/core/linhes-scripts/diskspace
 create mode 100755 abs/core/linhes-scripts/diskspace.sh

diff --git a/abs/core/linhes-scripts/PKGBUILD b/abs/core/linhes-scripts/PKGBUILD
index 0be8d93..bc4052d 100644
--- a/abs/core/linhes-scripts/PKGBUILD
+++ b/abs/core/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
 
 pkgname=linhes-scripts
 pkgver=7
-pkgrel=31
+pkgrel=32
 pkgdesc="Various scripts that help to make LinHES, LinHES."
 arch=('i686' 'x86_64')
 license=('GPL2')
@@ -49,6 +49,8 @@ upgrade_linhes_script.sh
 find_orphans.py
 acl_fix_fstab.py 
 stop_xss.sh
+diskspace
+diskspace.sh
 )
 
 build() {
@@ -63,6 +65,8 @@ build() {
   cp run-limit-mythcommflag ${pkgdir}/etc/sv/limit-mythcommflag/run
   mkdir -p ${pkgdir}/etc/logrotate.d/
   cp pause_mythcommflag ${pkgdir}/etc/logrotate.d/
+  mkdir -p ${pkgdir}/etc/cron.tenminutes/
+  cp diskspace ${pkgdir}/etc/cron.tenminutes/
 }
 md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
          '10ad1a4da669adccd01e0be6e5e4a3ed'
@@ -101,4 +105,6 @@ md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
          '4b8671376fad6d76874508434d42fbfd'
          'd8838461af9d446a1fd7e7883fdc75d1'
          'cc9cdabcdfc969c2829b58c0e513488c'
-         'acb72dfeda6f957bfdf4113a04fb91c0')
+         'acb72dfeda6f957bfdf4113a04fb91c0'
+         '84492954db16740f949d795b74383189'
+         '68e3e87571f3b0fa4a48a10df50dc220')
diff --git a/abs/core/linhes-scripts/diskspace b/abs/core/linhes-scripts/diskspace
new file mode 100755
index 0000000..ab3c91b
--- /dev/null
+++ b/abs/core/linhes-scripts/diskspace
@@ -0,0 +1,2 @@
+#!/bin/bash
+/usr/bin/nice -n19 /usr/LH/bin/diskspace.sh -osd
diff --git a/abs/core/linhes-scripts/diskspace.sh b/abs/core/linhes-scripts/diskspace.sh
new file mode 100755
index 0000000..2173c6e
--- /dev/null
+++ b/abs/core/linhes-scripts/diskspace.sh
@@ -0,0 +1,81 @@
+#!/bin/sh
+### Monitor free disk space
+# Display alert if the free percentage of space is >= $ALERT
+
+#
+# Static Config Variables
+#
+ALERT=90                        # free space percentage to trigger an alert
+
+#
+# Static Binary Paths
+#
+DF='/bin/df'
+GREP='/bin/grep'
+AWK='/bin/awk'
+CUT='/bin/cut'
+HOSTNAME='/bin/hostname'
+DATE='/bin/date'
+OSD_CAT='/usr/bin/osd_cat'
+export DISPLAY=:0.0
+#
+# Static System Variables
+#
+THIS_HOST=`${HOSTNAME}`
+
+#
+# Check CLI Options
+#
+VERBOSE=false
+OSD=false
+for ARG in "$@" ; do
+        case $ARG in
+        "-v")
+                VERBOSE=true
+                ;;
+        "-osd")
+                OSD=true
+                ;;
+        esac
+done
+
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+    color=yellow
+    outline=2
+    outlinecolour=black
+    shadow=0
+    shadowcolour=black
+    font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
+[ $VERBOSE = true ] && echo "Checking free disk space on ${THIS_HOST}"
+[ $VERBOSE = true ] && echo "Threshold for warning is ${ALERT}%"
+[ $VERBOSE = true ] && echo "------------------------------------------------------------------"
+
+# Dynamic Variables
+#DATE_STR=`${DATE} "+%d-%B-%y @ %H%Mhrs"`
+
+# Call df to find the used percentages. Grep for only local disks (not remote mounts like nfs or smb)
+# Pipe the output to awk to get the needed columns, then start a while loop to process each line.
+$DF -HPl | $GREP -E "^/dev/" | $AWK '{ print $5 " " $6 " " $1 }' | while read OUTPUT ; do
+    USED_PCENT=$(echo ${OUTPUT} | $AWK '{ print $1}' | $CUT -d'%' -f1  )    # Used space as a percentage
+    PARTITION=$(echo ${OUTPUT} | $AWK '{ print $2 }' )                      # Mount Point (eg, /home)
+    DEVICE=$(echo ${OUTPUT} | $AWK '{ print $3 }' )                         # Device (eg, /dev/sda1 or LABEL or UUID)
+    if [ $VERBOSE = true ] ; then
+        echo -e "Checking device ${DEVICE} which is mounted to ${PARTITION} \t${USED_PCENT}% used"
+    fi
+    if [ ${USED_PCENT} -ge $ALERT ]; then
+        if [ $VERBOSE = true ] ; then
+            echo "WARNING: ${PARTITION} (${DEVICE}) is ${USED_PCENT}% full on ${THIS_HOST}."
+        else
+            echo "WARNING: ${PARTITION} (${DEVICE}) is ${USED_PCENT}% full on ${THIS_HOST}." #|
+            if [ $OSD = true ] && [ ${PARTITION} = / ]; then
+                echo "WARNING: The root (${PARTITION}) partition is ${USED_PCENT}% full on ${THIS_HOST}." | $OSD_CAT --pos=top --offset=40 --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+            fi
+        fi
+    fi
+done
+
+exit 0
-- 
cgit v0.12


From de3a3fdbe9f392b0d6c017e325025aaf44d70a23 Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Thu, 12 Apr 2012 17:22:58 -0500
Subject: LinHES-system: myth_status.py: add call to diskspace.sh to warn user
 of full disks.

---
 abs/core/LinHES-system/PKGBUILD       | 4 ++--
 abs/core/LinHES-system/myth_status.py | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/abs/core/LinHES-system/PKGBUILD b/abs/core/LinHES-system/PKGBUILD
index d53adee..d2fb0f8 100644
--- a/abs/core/LinHES-system/PKGBUILD
+++ b/abs/core/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
 pkgver=2
-pkgrel=38
+pkgrel=39
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
@@ -62,7 +62,7 @@ md5sums=('d6a564f3286590875874573107940908'
          'abe887472a170bd1a8e6da6a7b7e93e4'
          '752488eb8bfb672ce0e4c924f7faf3d1'
          'ba351b92e69bcaf26a9bf80417b09c3c'
-         '1d534843cc4e55fe4ce21c3e95e3f766'
+         'b41b08ea923d94b90d22f92e291ad9ee'
          '962a3e9eaba2d1466251b7ab0956705d'
          'd03aedeeeda0f5e9c1eb437411c88477'
          '94ce8f1d5085c0db7b267db8c2e9a3ff'
diff --git a/abs/core/LinHES-system/myth_status.py b/abs/core/LinHES-system/myth_status.py
index f8222cb..53d64d9 100644
--- a/abs/core/LinHES-system/myth_status.py
+++ b/abs/core/LinHES-system/myth_status.py
@@ -1,6 +1,6 @@
 #!/usr/bin/python2
 from MythTV import MythBE,MythDB,MythLog
-import datetime,time,sys
+import datetime,time,sys,subprocess
 try:
     be=MythBE()
     db = MythDB()
@@ -107,5 +107,5 @@ else:
     ur=formatTD(next_start_diff)
 print "The next recording starts in:\n     %s" %(ur)
 print ""
-
-
+subprocess.call("/usr/LH/bin/diskspace.sh",shell=True)
+print ""
-- 
cgit v0.12


From fadd791ceddc196e958e9a108f26532a0a2d1170 Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Thu, 12 Apr 2012 19:09:26 -0500
Subject: LinHES-system: firstboot.sh: add fix_lirc_socket; closes #822

---
 abs/core/LinHES-system/PKGBUILD     |  4 ++--
 abs/core/LinHES-system/firstboot.sh | 21 +++++++++++++++++++++
 2 files changed, 23 insertions(+), 2 deletions(-)

diff --git a/abs/core/LinHES-system/PKGBUILD b/abs/core/LinHES-system/PKGBUILD
index d2fb0f8..607bda1 100644
--- a/abs/core/LinHES-system/PKGBUILD
+++ b/abs/core/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
 pkgver=2
-pkgrel=39
+pkgrel=40
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
@@ -55,7 +55,7 @@ md5sums=('d6a564f3286590875874573107940908'
          'd1f27cb422010077c841376526fe46ea'
          '2ef9f945e034119f77d9b6beb17e4fa5'
          '5c96527397a35519d72c78d6e3c8dbea'
-         '18a884a73344ff6eb74f63b49745e0f5'
+         '5e67a8b7ff57ec32d668bce7aab0aa6d'
          'dc3eef2a624754e16805d72bbe488b67'
          'dc0be354ce77ba2b89868fc29b942c43'
          '542e670e78d117657f93141e9689f54d'
diff --git a/abs/core/LinHES-system/firstboot.sh b/abs/core/LinHES-system/firstboot.sh
index 7e2f603..8e3dc57 100755
--- a/abs/core/LinHES-system/firstboot.sh
+++ b/abs/core/LinHES-system/firstboot.sh
@@ -23,6 +23,26 @@ function try_smolt {
 
 }
 
+function fix_lirc_socket {
+  . /etc/systemconfig
+
+  # Fix LircSocket in mythtv database
+  SOCKET=`mysql -u mythtv -pmythtv -B --skip-column-names -h "${dbhost}" -D mythconverg -e \
+         "SELECT data FROM settings WHERE value = 'LircSocket' AND hostname = '${hostname}';"`
+    if [ "${SOCKET}" != "/var/run/lirc/lircd" ]; then
+      mysql -u mythtv -pmythtv -B --skip-column-names -h "${dbhost}" -D mythconverg -e \
+      "UPDATE settings SET data = '/var/run/lirc/lircd' WHERE value = 'LircSocket' AND hostname = '${hostname}';"
+    else
+      echo ">>>"
+      echo ">>> ATTENTION! ATTENTION! ATTENTION!"
+      echo ">>> Unable to connect the the MySQL database to make needed"
+      echo ">>> changes to the LIRC socket."
+      echo ">>> LIRC now uses /var/run/lirc/lircd and /dev/lirc is now"
+      echo ">>> obsolete. Update your MythTV settings to reflect this."
+      echo ">>>"
+    fi
+}
+
 
 if [ ! -e /tmp/debug ]
 then
@@ -35,6 +55,7 @@ then
 				fb_status=4
 				while [ $fb_status != 0 ]
 				do
+                    fix_lirc_socket
 					try_smolt
 					if [ $fb_status != 0  ]
 					then
-- 
cgit v0.12


From 502a19b42d9df3fb3c3e521a37eebd20f9fbd984 Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Thu, 12 Apr 2012 19:35:27 -0500
Subject: LinHES-system & linhes-scripts: move diskspace to LinHES-system

---
 abs/core/LinHES-system/PKGBUILD      | 17 +++++---
 abs/core/LinHES-system/diskspace     |  2 +
 abs/core/LinHES-system/diskspace.sh  | 81 ++++++++++++++++++++++++++++++++++++
 abs/core/linhes-scripts/PKGBUILD     | 10 +----
 abs/core/linhes-scripts/diskspace    |  2 -
 abs/core/linhes-scripts/diskspace.sh | 81 ------------------------------------
 6 files changed, 96 insertions(+), 97 deletions(-)
 create mode 100755 abs/core/LinHES-system/diskspace
 create mode 100755 abs/core/LinHES-system/diskspace.sh
 delete mode 100755 abs/core/linhes-scripts/diskspace
 delete mode 100755 abs/core/linhes-scripts/diskspace.sh

diff --git a/abs/core/LinHES-system/PKGBUILD b/abs/core/LinHES-system/PKGBUILD
index 607bda1..f8baeaf 100644
--- a/abs/core/LinHES-system/PKGBUILD
+++ b/abs/core/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
 pkgver=2
-pkgrel=40
+pkgrel=41
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
@@ -11,7 +11,7 @@ backup=(etc/modprobe.d/alsa-base)
 binfiles="LinHES-start optimize_mythdb.py
  myth_mtc.py myth_mtc.sh LinHES-run
  firstboot.sh load-modules-mythvantage.sh
- unclutter-toggle.sh tvterm.sh smolt.cron
+ unclutter-toggle.sh tvterm.sh
  mythfrontend-start set_windowmanager.sh
  myth_status.py myth_status.sh
  xmsg.py install_supplemental_service.sh
@@ -19,9 +19,11 @@ binfiles="LinHES-start optimize_mythdb.py
  lh_system_restore_job
  lh_system_host_update
  lh_system_all_host_update
- add_storage.py"
+ add_storage.py
+ diskspace.sh"
 
-source=(LinHES-session LinHES-profile.sh $binfiles alsa-base myth_mtc.lr)
+source=(LinHES-session LinHES-profile.sh $binfiles alsa-base myth_mtc.lr 
+ diskspace smolt.cron)
 
 build() {
         cd $startdir/src
@@ -45,6 +47,7 @@ build() {
 
         install -m644 -D $startdir/src/alsa-base $startdir/pkg/etc/modprobe.d/alsa-base.conf
         install -m755 -D $startdir/src/smolt.cron $startdir/pkg/etc/cron.weekly/smolt.cron
+        install -m755 -D $startdir/src/diskspace $startdir/pkg/etc/cron.tenminutes/diskspace
         mkdir $startdir/pkg/etc/logrotate.d
         cp $startdir/myth_mtc.lr $startdir/pkg/etc/logrotate.d
 }
@@ -59,7 +62,6 @@ md5sums=('d6a564f3286590875874573107940908'
          'dc3eef2a624754e16805d72bbe488b67'
          'dc0be354ce77ba2b89868fc29b942c43'
          '542e670e78d117657f93141e9689f54d'
-         'abe887472a170bd1a8e6da6a7b7e93e4'
          '752488eb8bfb672ce0e4c924f7faf3d1'
          'ba351b92e69bcaf26a9bf80417b09c3c'
          'b41b08ea923d94b90d22f92e291ad9ee'
@@ -71,5 +73,8 @@ md5sums=('d6a564f3286590875874573107940908'
          '859a80ddb4c234506379c605114c1343'
          '47e093e8cfe4b5b96602358e1f540832'
          '6faeba0aeb38e772121f751cabda8683'
+         '68e3e87571f3b0fa4a48a10df50dc220'
          'eb879fee9603a05d5420d4ce8ed9e450'
-         'f1870a9522c79e6b248fcbf81dec3280')
+         'f1870a9522c79e6b248fcbf81dec3280'
+         '84492954db16740f949d795b74383189'
+         'abe887472a170bd1a8e6da6a7b7e93e4')
diff --git a/abs/core/LinHES-system/diskspace b/abs/core/LinHES-system/diskspace
new file mode 100755
index 0000000..ab3c91b
--- /dev/null
+++ b/abs/core/LinHES-system/diskspace
@@ -0,0 +1,2 @@
+#!/bin/bash
+/usr/bin/nice -n19 /usr/LH/bin/diskspace.sh -osd
diff --git a/abs/core/LinHES-system/diskspace.sh b/abs/core/LinHES-system/diskspace.sh
new file mode 100755
index 0000000..2173c6e
--- /dev/null
+++ b/abs/core/LinHES-system/diskspace.sh
@@ -0,0 +1,81 @@
+#!/bin/sh
+### Monitor free disk space
+# Display alert if the free percentage of space is >= $ALERT
+
+#
+# Static Config Variables
+#
+ALERT=90                        # free space percentage to trigger an alert
+
+#
+# Static Binary Paths
+#
+DF='/bin/df'
+GREP='/bin/grep'
+AWK='/bin/awk'
+CUT='/bin/cut'
+HOSTNAME='/bin/hostname'
+DATE='/bin/date'
+OSD_CAT='/usr/bin/osd_cat'
+export DISPLAY=:0.0
+#
+# Static System Variables
+#
+THIS_HOST=`${HOSTNAME}`
+
+#
+# Check CLI Options
+#
+VERBOSE=false
+OSD=false
+for ARG in "$@" ; do
+        case $ARG in
+        "-v")
+                VERBOSE=true
+                ;;
+        "-osd")
+                OSD=true
+                ;;
+        esac
+done
+
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+    color=yellow
+    outline=2
+    outlinecolour=black
+    shadow=0
+    shadowcolour=black
+    font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
+[ $VERBOSE = true ] && echo "Checking free disk space on ${THIS_HOST}"
+[ $VERBOSE = true ] && echo "Threshold for warning is ${ALERT}%"
+[ $VERBOSE = true ] && echo "------------------------------------------------------------------"
+
+# Dynamic Variables
+#DATE_STR=`${DATE} "+%d-%B-%y @ %H%Mhrs"`
+
+# Call df to find the used percentages. Grep for only local disks (not remote mounts like nfs or smb)
+# Pipe the output to awk to get the needed columns, then start a while loop to process each line.
+$DF -HPl | $GREP -E "^/dev/" | $AWK '{ print $5 " " $6 " " $1 }' | while read OUTPUT ; do
+    USED_PCENT=$(echo ${OUTPUT} | $AWK '{ print $1}' | $CUT -d'%' -f1  )    # Used space as a percentage
+    PARTITION=$(echo ${OUTPUT} | $AWK '{ print $2 }' )                      # Mount Point (eg, /home)
+    DEVICE=$(echo ${OUTPUT} | $AWK '{ print $3 }' )                         # Device (eg, /dev/sda1 or LABEL or UUID)
+    if [ $VERBOSE = true ] ; then
+        echo -e "Checking device ${DEVICE} which is mounted to ${PARTITION} \t${USED_PCENT}% used"
+    fi
+    if [ ${USED_PCENT} -ge $ALERT ]; then
+        if [ $VERBOSE = true ] ; then
+            echo "WARNING: ${PARTITION} (${DEVICE}) is ${USED_PCENT}% full on ${THIS_HOST}."
+        else
+            echo "WARNING: ${PARTITION} (${DEVICE}) is ${USED_PCENT}% full on ${THIS_HOST}." #|
+            if [ $OSD = true ] && [ ${PARTITION} = / ]; then
+                echo "WARNING: The root (${PARTITION}) partition is ${USED_PCENT}% full on ${THIS_HOST}." | $OSD_CAT --pos=top --offset=40 --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+            fi
+        fi
+    fi
+done
+
+exit 0
diff --git a/abs/core/linhes-scripts/PKGBUILD b/abs/core/linhes-scripts/PKGBUILD
index bc4052d..68a02ef 100644
--- a/abs/core/linhes-scripts/PKGBUILD
+++ b/abs/core/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
 
 pkgname=linhes-scripts
 pkgver=7
-pkgrel=32
+pkgrel=33
 pkgdesc="Various scripts that help to make LinHES, LinHES."
 arch=('i686' 'x86_64')
 license=('GPL2')
@@ -49,8 +49,6 @@ upgrade_linhes_script.sh
 find_orphans.py
 acl_fix_fstab.py 
 stop_xss.sh
-diskspace
-diskspace.sh
 )
 
 build() {
@@ -65,8 +63,6 @@ build() {
   cp run-limit-mythcommflag ${pkgdir}/etc/sv/limit-mythcommflag/run
   mkdir -p ${pkgdir}/etc/logrotate.d/
   cp pause_mythcommflag ${pkgdir}/etc/logrotate.d/
-  mkdir -p ${pkgdir}/etc/cron.tenminutes/
-  cp diskspace ${pkgdir}/etc/cron.tenminutes/
 }
 md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
          '10ad1a4da669adccd01e0be6e5e4a3ed'
@@ -105,6 +101,4 @@ md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
          '4b8671376fad6d76874508434d42fbfd'
          'd8838461af9d446a1fd7e7883fdc75d1'
          'cc9cdabcdfc969c2829b58c0e513488c'
-         'acb72dfeda6f957bfdf4113a04fb91c0'
-         '84492954db16740f949d795b74383189'
-         '68e3e87571f3b0fa4a48a10df50dc220')
+         'acb72dfeda6f957bfdf4113a04fb91c0')
diff --git a/abs/core/linhes-scripts/diskspace b/abs/core/linhes-scripts/diskspace
deleted file mode 100755
index ab3c91b..0000000
--- a/abs/core/linhes-scripts/diskspace
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/bash
-/usr/bin/nice -n19 /usr/LH/bin/diskspace.sh -osd
diff --git a/abs/core/linhes-scripts/diskspace.sh b/abs/core/linhes-scripts/diskspace.sh
deleted file mode 100755
index 2173c6e..0000000
--- a/abs/core/linhes-scripts/diskspace.sh
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/bin/sh
-### Monitor free disk space
-# Display alert if the free percentage of space is >= $ALERT
-
-#
-# Static Config Variables
-#
-ALERT=90                        # free space percentage to trigger an alert
-
-#
-# Static Binary Paths
-#
-DF='/bin/df'
-GREP='/bin/grep'
-AWK='/bin/awk'
-CUT='/bin/cut'
-HOSTNAME='/bin/hostname'
-DATE='/bin/date'
-OSD_CAT='/usr/bin/osd_cat'
-export DISPLAY=:0.0
-#
-# Static System Variables
-#
-THIS_HOST=`${HOSTNAME}`
-
-#
-# Check CLI Options
-#
-VERBOSE=false
-OSD=false
-for ARG in "$@" ; do
-        case $ARG in
-        "-v")
-                VERBOSE=true
-                ;;
-        "-osd")
-                OSD=true
-                ;;
-        esac
-done
-
-#----------------------------------------------------------------------------
-. /etc/osd_cat.cfg || {
-    color=yellow
-    outline=2
-    outlinecolour=black
-    shadow=0
-    shadowcolour=black
-    font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
-}
-#----------------------------------------------------------------------------
-
-[ $VERBOSE = true ] && echo "Checking free disk space on ${THIS_HOST}"
-[ $VERBOSE = true ] && echo "Threshold for warning is ${ALERT}%"
-[ $VERBOSE = true ] && echo "------------------------------------------------------------------"
-
-# Dynamic Variables
-#DATE_STR=`${DATE} "+%d-%B-%y @ %H%Mhrs"`
-
-# Call df to find the used percentages. Grep for only local disks (not remote mounts like nfs or smb)
-# Pipe the output to awk to get the needed columns, then start a while loop to process each line.
-$DF -HPl | $GREP -E "^/dev/" | $AWK '{ print $5 " " $6 " " $1 }' | while read OUTPUT ; do
-    USED_PCENT=$(echo ${OUTPUT} | $AWK '{ print $1}' | $CUT -d'%' -f1  )    # Used space as a percentage
-    PARTITION=$(echo ${OUTPUT} | $AWK '{ print $2 }' )                      # Mount Point (eg, /home)
-    DEVICE=$(echo ${OUTPUT} | $AWK '{ print $3 }' )                         # Device (eg, /dev/sda1 or LABEL or UUID)
-    if [ $VERBOSE = true ] ; then
-        echo -e "Checking device ${DEVICE} which is mounted to ${PARTITION} \t${USED_PCENT}% used"
-    fi
-    if [ ${USED_PCENT} -ge $ALERT ]; then
-        if [ $VERBOSE = true ] ; then
-            echo "WARNING: ${PARTITION} (${DEVICE}) is ${USED_PCENT}% full on ${THIS_HOST}."
-        else
-            echo "WARNING: ${PARTITION} (${DEVICE}) is ${USED_PCENT}% full on ${THIS_HOST}." #|
-            if [ $OSD = true ] && [ ${PARTITION} = / ]; then
-                echo "WARNING: The root (${PARTITION}) partition is ${USED_PCENT}% full on ${THIS_HOST}." | $OSD_CAT --pos=top --offset=40 --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
-            fi
-        fi
-    fi
-done
-
-exit 0
-- 
cgit v0.12


From 8e721470713e6a5a164f1d7682b0d248cb87b03c Mon Sep 17 00:00:00 2001
From: Michael Hanson <mihanson@linhes.org>
Date: Sat, 14 Apr 2012 05:09:55 +0000
Subject: bluez: Minor fixes v4.99

---
 abs/extra/bluez/PKGBUILD    | 17 +++++++++++------
 abs/extra/bluez/__changelog |  3 +++
 2 files changed, 14 insertions(+), 6 deletions(-)

diff --git a/abs/extra/bluez/PKGBUILD b/abs/extra/bluez/PKGBUILD
index 4090fdc..bfc7e25 100644
--- a/abs/extra/bluez/PKGBUILD
+++ b/abs/extra/bluez/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Geoffroy Carrier <geoffroy@archlinux.org>
 pkgname=bluez
-pkgver=4.98
-pkgrel=2
+pkgver=4.99
+pkgrel=3
 pkgdesc="Libraries and tools for the Bluetooth protocol stack"
 url="http://www.bluez.org/"
 arch=('i686' 'x86_64')
@@ -13,7 +13,6 @@ optdepends=("gstreamer0.10-base: bluetooth GStreamer support"
 	"dbus-python: to run bluez-simple-agent"
 	"pygobject: to run bluez-simple-agent"
 	"libusb-compat: USB adapters support"
-	"cups: CUPS backend"
 	"libnl: netlink plugin")
 conflicts=('bluez-libs' 'bluez-utils')
 provides=('bluez-libs' 'bluez-utils')
@@ -29,7 +28,7 @@ source=("http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2"
 build() {
   cd "$srcdir/$pkgname-$pkgver"
 
-  # Add directive that allows audio streaming
+  # Add directive that allows audio streaming out-of-the-box
   patch -Np1 -i ${srcdir}/bluez-4.98_audio-streaming.patch || return 1
 
   ./configure --prefix=/usr \
@@ -45,6 +44,8 @@ build() {
     --enable-hidd \
     --enable-pand \
     --enable-dund \
+    --enable-wiimote \
+    --disable-test \
     --disable-cups || return 1
 
   make || return 1
@@ -65,9 +66,13 @@ package() {
                    "$pkgdir/etc/conf.d/bluetooth" || return 1
   
   install -Dm755 test/simple-agent ${pkgdir}/usr/bin/bluez-simple-agent
+  install -Dm755 test/test-device "${pkgdir}"/usr/bin/bluez-test-device
+  install -Dm755 test/test-input "${pkgdir}"/usr/bin/bluez-test-input
   sed -i 's#/usr/bin/python#/usr/bin/python2#' \
-         ${pkgdir}/usr/bin/bluez-simple-agent
+         ${pkgdir}/usr/bin/bluez-simple-agent \
+         ${pkgdir}/usr/bin/bluez-test-device \
+         ${pkgdir}/usr/bin/bluez-test-input
 }
-md5sums=('4aca8a0929250212e9a75fb60dd75b05'
+md5sums=('2387053eb5a7b02f37df4871df022a02'
          'da4ec22ee1a5c3e84d5d934440167526'
          'd12be5b494525bb1ba6eac5c3983dd3e')
diff --git a/abs/extra/bluez/__changelog b/abs/extra/bluez/__changelog
index 124d0eb..7627514 100644
--- a/abs/extra/bluez/__changelog
+++ b/abs/extra/bluez/__changelog
@@ -9,3 +9,6 @@ own run scripts.  Of particular interest is rfcomm and hid2hci utilities.
 They are not daemons and I added "/sbin/sv <executable> down ." in their
 respective run files.  All based on this thread:
 http://article.gmane.org/gmane.comp.sysutils.supervision.general/1585/
+
+2012-04-13
+disable cups
-- 
cgit v0.12


From 9d277e0c1abfcd8aeb0331663abcacb11b2883fd Mon Sep 17 00:00:00 2001
From: Michael Hanson <mihanson@linhes.org>
Date: Sat, 14 Apr 2012 05:27:20 +0000
Subject: bluez: fixup audio streaming again v4.99

---
 abs/extra/bluez/PKGBUILD                         | 88 ++++++++++++++++++++++++
 abs/extra/bluez/__changelog                      | 19 +++++
 abs/extra/bluez/audio-streaming.patch            | 13 ++++
 abs/extra/bluez/bluez-4.98_audio-streaming.patch | 14 ----
 abs/extra/bluez/bluez.install                    |  4 +-
 5 files changed, 122 insertions(+), 16 deletions(-)
 create mode 100644 abs/extra/bluez/PKGBUILD
 create mode 100644 abs/extra/bluez/__changelog
 create mode 100644 abs/extra/bluez/audio-streaming.patch
 delete mode 100644 abs/extra/bluez/bluez-4.98_audio-streaming.patch

diff --git a/abs/extra/bluez/PKGBUILD b/abs/extra/bluez/PKGBUILD
new file mode 100644
index 0000000..e6837e9
--- /dev/null
+++ b/abs/extra/bluez/PKGBUILD
@@ -0,0 +1,88 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg@jklm.no>
+# Contributor: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Geoffroy Carrier <geoffroy@archlinux.org>
+
+pkgname=bluez
+pkgver=4.99
+pkgrel=3
+pkgdesc="Libraries and tools for the Bluetooth protocol stack"
+url="http://www.bluez.org/"
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('dbus-core' 'python2' 'udev')
+makedepends=('gstreamer0.10-base' 'libusb-compat' 'libsndfile')
+optdepends=("gstreamer0.10-base: bluetooth GStreamer support"
+            "alsa-lib: Audio bluetooth devices support"
+            "dbus-python: to run bluez-simple-agent"
+            "pygobject: to run bluez-simple-agent"
+            "libusb-compat: USB adapters support"
+            "cups: CUPS backend")
+conflicts=('bluez-libs' 'bluez-utils')
+provides=('bluez-libs' 'bluez-utils')
+replaces=('bluez-libs' 'bluez-utils')
+options=('!libtool')
+backup=(etc/bluetooth/{main,rfcomm,audio,network,input,serial}.conf
+        'etc/conf.d/bluetooth' 'etc/dbus-1/system.d/bluetooth.conf')
+install='bluez.install'
+source=("http://www.kernel.org/pub/linux/bluetooth/${pkgname}-${pkgver}.tar.bz2"
+        'bluetooth.conf.d'
+        'audio-streaming.patch')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+# Add setting that allows audio streaming out-of-the-box
+  patch -Np1 -i ${srcdir}/audio-streaming.patch || return 1
+
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/lib \
+    --enable-gstreamer \
+    --enable-alsa \
+    --enable-usb \
+    --enable-tools \
+    --enable-bccmd \
+    --enable-dfutool \
+    --enable-hid2hci \
+    --enable-hidd \
+    --enable-pand \
+    --enable-dund \
+    --disable-cups \
+    --enable-wiimote \
+    --disable-test
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+
+#  install -Dm755 ${srcdir}/rc.bluetooth ${pkgdir}/etc/rc.d/bluetooth
+  
+  install -d ${pkgdir}/etc/bluetooth
+  install -m644 network/network.conf \
+                input/input.conf \
+                audio/audio.conf \
+                serial/serial.conf \
+    ${pkgdir}/etc/bluetooth/
+  
+  install -Dm644 ${srcdir}/bluetooth.conf.d \
+    ${pkgdir}/etc/conf.d/bluetooth
+
+  # FS#27630
+  install -Dm755 test/simple-agent "${pkgdir}"/usr/bin/bluez-simple-agent
+  install -Dm755 test/test-device "${pkgdir}"/usr/bin/bluez-test-device
+  install -Dm755 test/test-input "${pkgdir}"/usr/bin/bluez-test-input
+  sed -i 's#/usr/bin/python#/usr/bin/python2#' \
+    "${pkgdir}"/usr/bin/bluez-simple-agent \
+    "${pkgdir}"/usr/bin/bluez-test-device \
+    "${pkgdir}"/usr/bin/bluez-test-input
+
+  # http://mailman.archlinux.org/pipermail/arch-general/2011-April/019787.html
+#  rm "${pkgdir}"/usr/lib/udev/rules.d/97-bluetooth.rules
+}
+md5sums=('2387053eb5a7b02f37df4871df022a02'
+         '7412982b440f29fa7f76a41a87fef985'
+         'cc9c86af1ced7ad46fc7be114d32adfb')
diff --git a/abs/extra/bluez/__changelog b/abs/extra/bluez/__changelog
new file mode 100644
index 0000000..62a2048
--- /dev/null
+++ b/abs/extra/bluez/__changelog
@@ -0,0 +1,19 @@
+# by mihanson
+I really have no idea how this bluetooth stuff works.  If anyone wants to
+take a stab at getting this working properly with runit, feel free.  I
+only need this package to get mythpywii working.
+
+2010-04-01:
+Make this package work with runit.  All daemons were seperated into their
+own run scripts.  Of particular interest is rfcomm and hid2hci utilities.
+They are not daemons and I added "/sbin/sv <executable> down ." in their
+respective run files.  All based on this thread:
+http://article.gmane.org/gmane.comp.sysutils.supervision.general/1585/
+
+2012-04-07
+- remove rc.bluetooth as we use runit
+- disable-cups
+- comment out removal of udev line
+
+2012-04-13
+re-add audio-streaming.patch for ootb audio streaming
diff --git a/abs/extra/bluez/audio-streaming.patch b/abs/extra/bluez/audio-streaming.patch
new file mode 100644
index 0000000..83705c5
--- /dev/null
+++ b/abs/extra/bluez/audio-streaming.patch
@@ -0,0 +1,13 @@
+--- bluez-4.98/audio/audio.conf.orig	2012-02-27 23:52:30.960349047 +0000
++++ bluez-4.98/audio/audio.conf	2012-02-27 23:54:19.768069787 +0000
+@@ -4,6 +4,11 @@
+ # particular interface
+ [General]
+ 
++# Allow audio streaming with bluez-4.98 and alsa-lib 1.0.24.1
++# https://wiki.archlinux.org/index.php/Bluetooth#Audio_streaming
++
++Enable=Socket
++
+ # Switch to master role for incoming connections (defaults to true)
+ #Master=true
diff --git a/abs/extra/bluez/bluez-4.98_audio-streaming.patch b/abs/extra/bluez/bluez-4.98_audio-streaming.patch
deleted file mode 100644
index 085d8ca..0000000
--- a/abs/extra/bluez/bluez-4.98_audio-streaming.patch
+++ /dev/null
@@ -1,14 +0,0 @@
---- bluez-4.98/audio/audio.conf.orig	2012-02-27 23:52:30.960349047 +0000
-+++ bluez-4.98/audio/audio.conf	2012-02-27 23:54:19.768069787 +0000
-@@ -4,6 +4,11 @@
- # particular interface
- [General]
- 
-+# Allow audio streaming with bluez-4.98 and alsa-lib 1.0.24.1
-+# https://wiki.archlinux.org/index.php/Bluetooth#Audio_streaming
-+
-+Enable=Socket
-+
- # Switch to master role for incoming connections (defaults to true)
- #Master=true
- 
diff --git a/abs/extra/bluez/bluez.install b/abs/extra/bluez/bluez.install
index f9b757b..30bd262 100644
--- a/abs/extra/bluez/bluez.install
+++ b/abs/extra/bluez/bluez.install
@@ -2,12 +2,12 @@ post_install() {
     add_service.sh bluetoothd
     echo ">>> Only the bluetoothd daemon is started by default."
     echo ">>> You can optionally add the following as required:"
-    echo ">>> hidd dund pand rfcomm"
+    echo ">>> hidd dund pand sdpd rfcomm hid2hci"
     echo ">>> $ sudo add_service.sh <service_name>"
 }
 
 pre_remove() {
-    for d in { bluetoothd,hidd,dund,pand,rfcomm } ; do
+    for d in { bluetoothd,hidd,dund,pand,sdpd,rfcomm,hid2hci } ; do
       if [ -d /var/service/${d} ] ; then
         remove_servcie.sh $d
       fi
-- 
cgit v0.12


From ab2b92bf6743790902c68e764b7e28b4aa0a681a Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Sat, 14 Apr 2012 15:44:45 -0500
Subject: LinHES-system: add cacheclean and cron job to keep 3 newest pkgs in
 pacman cache.

---
 abs/core/LinHES-system/PKGBUILD        |  13 ++--
 abs/core/LinHES-system/cacheclean      | 134 +++++++++++++++++++++++++++++++++
 abs/core/LinHES-system/cacheclean.cron |   2 +
 3 files changed, 144 insertions(+), 5 deletions(-)
 create mode 100755 abs/core/LinHES-system/cacheclean
 create mode 100644 abs/core/LinHES-system/cacheclean.cron

diff --git a/abs/core/LinHES-system/PKGBUILD b/abs/core/LinHES-system/PKGBUILD
index f8baeaf..94f592d 100644
--- a/abs/core/LinHES-system/PKGBUILD
+++ b/abs/core/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
 pkgver=2
-pkgrel=41
+pkgrel=42
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
@@ -20,11 +20,11 @@ binfiles="LinHES-start optimize_mythdb.py
  lh_system_host_update
  lh_system_all_host_update
  add_storage.py
- diskspace.sh"
+ diskspace.sh
+ cacheclean"
 
 source=(LinHES-session LinHES-profile.sh $binfiles alsa-base myth_mtc.lr 
- diskspace smolt.cron)
-
+ diskspace smolt.cron cacheclean.cron)
 build() {
         cd $startdir/src
         install -m755 -D LinHES-session $startdir/pkg/etc/X11/Sessions/LinHES
@@ -47,6 +47,7 @@ build() {
 
         install -m644 -D $startdir/src/alsa-base $startdir/pkg/etc/modprobe.d/alsa-base.conf
         install -m755 -D $startdir/src/smolt.cron $startdir/pkg/etc/cron.weekly/smolt.cron
+        install -m755 -D $startdir/src/cacheclean.cron $startdir/pkg/etc/cron.weekly/cacheclean.cron
         install -m755 -D $startdir/src/diskspace $startdir/pkg/etc/cron.tenminutes/diskspace
         mkdir $startdir/pkg/etc/logrotate.d
         cp $startdir/myth_mtc.lr $startdir/pkg/etc/logrotate.d
@@ -74,7 +75,9 @@ md5sums=('d6a564f3286590875874573107940908'
          '47e093e8cfe4b5b96602358e1f540832'
          '6faeba0aeb38e772121f751cabda8683'
          '68e3e87571f3b0fa4a48a10df50dc220'
+         '9603b0ca6e090eff31e76482a3c335e7'
          'eb879fee9603a05d5420d4ce8ed9e450'
          'f1870a9522c79e6b248fcbf81dec3280'
          '84492954db16740f949d795b74383189'
-         'abe887472a170bd1a8e6da6a7b7e93e4')
+         'abe887472a170bd1a8e6da6a7b7e93e4'
+         '02c810c2f47b7c4495fdacaf54189473')
diff --git a/abs/core/LinHES-system/cacheclean b/abs/core/LinHES-system/cacheclean
new file mode 100755
index 0000000..d32d16b
--- /dev/null
+++ b/abs/core/LinHES-system/cacheclean
@@ -0,0 +1,134 @@
+#!/usr/bin/env python
+"""cacheclean - a simple python script to clean up the /data/var/cache/pacman/pkg directory.
+More versatile than 'pacman -Sc' in that you can select how many old versions
+to keep.
+Usage: cacheclean {-p} {-v} <# of copies to keep>
+    # of copies to keep - (required) how many generations of each package to keep
+    -p - (optional) preview what would be deleted; forces verbose (-v) mode.
+    -v - (optional) show deleted packages.
+    
+Adapted from https://github.com/graysky2/cacheclean for LinHES pacman cache directories
+and python 2.6."""
+
+# Note that the determination of package age is done by simply looking at the date-time
+# modified stamp on the file. There is just enough variation in the way package version
+# is done that I thought this would be simpler & just as good.
+# Also note that you must be root to run this script.
+
+import getopt
+import os
+import re
+import sys
+
+# helper function to get tuple of (file dtm, file name, file sz)    
+def fn_stats(fn):
+    s = os.stat(fn)
+    return (s[8], fn, s[6])
+
+# cleanup does the actual pkg file deletion
+def cleanup(run_list):
+    # strictly speaking only the first two of these globals need to be listed.
+    global n_deleted, bytes_deleted, opt_verbose, opt_preview, n_to_keep
+    # return if the run_list is too short
+    #print run_list
+    #return
+    if len(run_list) <= n_to_keep: return
+    # Build list of tuples (date-time file modified, file name, file size)
+    dtm_list = [fn_stats(tfn) for tfn in run_list]
+    # Sort the list by date-time
+    dtm_list.sort()
+    # Build list of the filenames to delete (all but last n_to_keep).
+    # <showing_off>
+    #kill_list = [tfn[1] for tfn in dtm_list[:-n_to_keep]]
+    #bytes_deleted = sum(x[2] for x in dtm_list[:-n_to_keep])
+    # </showing_off>
+    kill_list = []
+    for x in dtm_list[:-n_to_keep]:
+        if os.path.isfile(x[1]):
+            kill_list.append(x[1])
+            bytes_deleted += x[2]
+    if opt_verbose and kill_list: print (kill_list)
+    n_deleted += len(kill_list)
+    # and finally delete (if not in preview mode)
+    if not opt_preview:
+        for dfn in kill_list:
+            os.unlink(dfn)
+
+######################################################################
+# mainline processing
+
+# process command line options
+try:
+    opts, pargs = getopt.getopt(sys.argv[1:], 'vp')
+    opt_dict = dict(opts)
+    opt_preview = '-p' in opt_dict
+    opt_verbose = '-v' in opt_dict
+    if opt_preview: opt_verbose = True
+    if len(pargs) == 1:
+        n_to_keep = pargs[0]
+    else:
+        raise getopt.GetoptError("missing required argument.")
+    try:
+        n_to_keep = int(n_to_keep)
+        if n_to_keep <= 0: raise ValueError
+    except ValueError as e:
+        raise getopt.GetoptError("# of copies to keep must be numeric > 0!")
+except getopt.GetoptError as msg:
+    print ("Error:",msg,"\n",__doc__)
+    sys.exit(1)
+
+# change to the pkg directory & get a sorted list of its contents
+os.chdir('/data/var/cache/pacman/pkg')
+pkg_fns = os.listdir('.')
+pkg_fns.sort()
+
+# Pattern to use to extract the package name from the tar file name:
+# for pkg e.g. 'gnome-common-2.8.0-1-i686.pkg.tar.gz' group(1) is 'gnome-common'.
+
+bpat = re.compile("""
+^([^-/][^/]*?)-         # (1) package name
+[^-/\s]+-               # (2) version
+[^-/\s]+                # (3) release
+(-i686|-x86_64|-any)?   # (4) architecture
+\.pkg\.tar              # (5) extension
+(?:\.(?:gz|bz2|xz|Z))?  # (6) compresssion extension
+(?:\.aria2|.sig)?       # (7) other extension
+(?:\.part)?$            # (8) partially-downloaded files' extension
+""", re.X)
+
+n_deleted = 0
+bytes_deleted = 0
+pkg_base_nm = ''
+# now look for "runs" of the same package name differing only in version info.
+for run_end in range(len(pkg_fns)):
+    fn = pkg_fns[run_end]
+
+    # make sure we skip directories
+    if os.path.isfile(fn):
+        mo = bpat.match(fn) # test for a match of the package name pattern
+        if mo:
+            # print ("Processing file '" + fn + "' " + str(mo.lastindex), file=sys.stdout)
+            tbase = mo.group(1) # gets the 'base' package name
+            # include the architecture in the name if it's present
+            if mo.group(2) is not None:
+                tbase += mo.group(2)
+            # print ('tbase: ' + tbase + '  ' + str(mo.lastindex), file=sys.stdout)
+            # is it a new base name, i.e. the start of a new run?
+            if tbase != pkg_base_nm: # if so then process the prior run
+                if pkg_base_nm != '':
+                    cleanup(pkg_fns[run_start:run_end])
+                pkg_base_nm = tbase # & setup for the new run
+                run_start = run_end
+        else:
+            print >>sys.stderr, "File '"+fn+"' doesn't match package pattern!"
+    else:
+        print >>sys.stdout, "skipping directory '"+fn+"'!"
+
+# catch the final run of the list
+run_end += 1
+cleanup(pkg_fns[run_start:run_end])
+
+if opt_verbose:
+    if opt_preview:
+        print ("Preview mode (no files deleted):"),
+    print n_deleted,"files deleted,",bytes_deleted/(2**10),"kbytes /",bytes_deleted/(2**20),"MBytes /",bytes_deleted/(2**30), "GBytes."
diff --git a/abs/core/LinHES-system/cacheclean.cron b/abs/core/LinHES-system/cacheclean.cron
new file mode 100644
index 0000000..b47a3ef
--- /dev/null
+++ b/abs/core/LinHES-system/cacheclean.cron
@@ -0,0 +1,2 @@
+#!/bin/bash
+/usr/LH/bin/cacheclean 3
-- 
cgit v0.12